<li class="{{ (item.classes | merge(item._menu_item_classes)) | join(' ') }}">
    <a target="{{ item.target }}" href="{{ item.link }}">{{ item.title }}</a>
    {% if current_depth < depth and item.children %}
        <ul>
            {% for child in item.children %}
                {% include 'components/menu-item.twig' with { 'item': child, 'depth': depth, 'current_depth': current_depth + 1 } %}
            {% endfor %}
        </ul>
    {% endif %}
</li>
